com.google.cloud.dataflow.sdk.values

## Class KV.OrderByValue<K,V extends Comparable<? super V>>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.values.KV.OrderByValue<K,V>

All Implemented Interfaces:
  SerializableComparator<KV<K,V>>, Serializable, Comparator<KV<K,V>>

Enclosing class:
  KV<K,V>

    public static class KV.OrderByValue<K,V extends Comparable<? super V>>
    extends Object
    implements SerializableComparator<KV<K,V>>

A `Comparator` that orders `KVs` by the natural ordering of their values.

A `null` value is less than any non-`null` value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OrderByValue()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(KV<K,V> a, KV<K,V> b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### OrderByValue

    public OrderByValue()

### Method Detail

#### compare

    public int compare(KV<K,V> a,
                       KV<K,V> b)

Specified by:
  `compare` in interface `Comparator<KV<K,V extends Comparable<? super V>>>`